harmony-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Tim Ellison (JIRA)" <j...@apache.org>
Subject [jira] Commented: (HARMONY-5778) [classlib][archive] RI compatibility: Attributes.Name.MANIFEST_VERSION is not mandatory
Date Fri, 20 Jun 2008 10:57:45 GMT

    [ https://issues.apache.org/jira/browse/HARMONY-5778?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12606704#action_12606704
] 

Tim Ellison commented on HARMONY-5778:
--------------------------------------

Alexei:

If you still think we should enforce manifests to have the version header, let's have a debate
on the dev list.  I think we should be compatible with the RI even if this is contrary to
the letter of the spec in this case.  Nathan agreed with disabling the check [1].

I have also updated the commons-collections JAR, see [2].


[1] https://issues.apache.org/jira/browse/HARMONY-5778?focusedCommentId=12605937#action_12605937
[2] http://svn.apache.org/viewvc?rev=669146&view=rev

> [classlib][archive] RI compatibility: Attributes.Name.MANIFEST_VERSION is not mandatory
> ---------------------------------------------------------------------------------------
>
>                 Key: HARMONY-5778
>                 URL: https://issues.apache.org/jira/browse/HARMONY-5778
>             Project: Harmony
>          Issue Type: Improvement
>          Components: Classlib
>            Reporter: Alexei Fedotov
>            Assignee: Tim Ellison
>         Attachments: disable_manifest_version_check.patch
>
>
> Anakia fails to load commons-collections.jar due to the absent manifest attribute. 

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message